Subject: Re: git rebase --continue error message is misleading

From: Junio C Hamano <[email-masked]>
Date: Mon, 10 Feb 2025 08:59:34 -0800

Björn Lindqvist <[email-masked]> writes:

> Here, I don't think assuming the user has vi installed is correct.

Exporting GIT_EDITOR that points at the editor of your choice is
exactly for those who choose to use something else.  Instead of
erroring out with "You haven't told me what editor you want to use",
editor.c has a fallback default to use DEFAULT_EDITOR that can be
configured at the compile time, and if the builder does not configure
it, then it falls back to "vi".  We'd need to stop somewhere ;-)